# Емотикони #

* Автори: Chris Leo, Noelia Ruiz Martínez, Mesar Hameed, Francisco Javier
  Estrada Martínez
* Изтегляне [стабилна версия][1]
* Изтегляне [работна версия][2]

При използването на тази добавка всеки изговарян текст, съдържащ знак за
емотикон, ще бъде заместван от неговото по-дружелюбно звучащо описание. 

Например: ":)" ще бъде изговаряно като "усмихване". Освен това, NVDA ще
разпознава значението на всяка емоджи.

Можете да се възползвате от следните възможности:

## Вмъкване на емотикона ##

Понякога дадено изображение струва колкото хиляда думи. Използвайте новите
емоджи, за да ободрите своите мигновени съобщения и да кажете на своите
приятели как се чувствате.

Когато не сте сигурни относно нужните знаци за конкретна "усмивка", тази
добавка ви позволява да я изберете от списък и да я вмъкнете в текста
(напр. в чат).

За да отворите диалогов прозорец за избор и вмъкване на емотикон или емоджи, натиснете NVDA+I, или от менюто Настройки -> Управление на емотиконите -> Вмъкни емотикон.

Този диалог ви позволява да изберете емотикон и да прегледате емотиконите,
които ви интересуват:

*	Поле за писане ви позволява да филтрирате търсенето на желаната емотикона
  сред наличните емотикони.
*	Чрез набор от радио бутони, можете да изберете да видите само категорията
  с емоджи (Alt+Е) или само категорията със стандартните емотикони (Alt+С),
  или всички налични емотикони (Alt+В).
*	В списъка с емотикони (Alt+П) се показват три колони съответно: името на
  емотиконата, типа на емотиконата (стандартна емотикона или емоджи),
  съответният знак.

Когато натиснете OK, знаците за избраната емотикона ще бъдат копирани във
вашия клипборд, готови за поставяне.

## Персонализиране на емотиконите ##

Добавката за емотикони позволява да имате различни гласови речници,
използвайки конфигурационни профили.

Това означава, че можете да създавате или редактирате конкретен гласов
речник за всеки от вашите потребителски профили.

От менюто на NVDA, Настройки -> Управление на емотиконите -> Персонализирай емотиконите, можете да отворите диалог, в който да добавяте нови или да редактирате вече наличните емотикони.

Запазвайки персонализациите ви, новите настройки за четене на емотикони ще
се отнасят само за профила, който редактирате понастоящем.

Например, може да желаете NVDA да изговаря потребителски емотикони само в
програмата XxChat, но не и в други чат програми: можете да направите това,
като създадете потребителски профил за приложението XxChat и му присвоите
гласов речник от менюто за персонализиране на емотиконите. Вижте по-долу
настройката за активиране по отношение на конфигурационните профили.

Можете също така да експортирате всеки персонализиран гласов речник, като
натискате бутона "Запиши и експортирай речника": по този начин гласовите
речници ще бъдат запазени във вашата папка с настройки, в поддиректорията
speechDicts/emoticons.

Точното име и местоположението на речниковия файл ще се основават на
редактирания конфигурационен профил, който ще се показва в заглавието на
диалоговия прозорец на речника за емотикони.

## Настройки за задействането ##

От меню Настройки -> Управление на емотиконите -> Настройки за задействането се отваря диалогов прозорец за конфигуриране задействането на вашите гласови речници за всеки профил.

В диалога за настройка за задействане можете да изберете дали гласовият речник да се активира автоматично, когато NVDA превключва към профила, който редактирате понастоящем. По подразбиране това е изключено при обичайните настройки на NVDA и във всичките ви нови профили.

Ако искате да поддържате конфигурационните папки "чисти", в този диалогов
прозорец можете също да изберете дали речниците, които не се използват
(свързани са с несъществуващи профили), да бъдат премахнати при презареждане
на добавката.

## Клавишни комбинации: ##

Това са клавишните команди, налични по подразбиране. Можете да редактирате
тези или да добавите нови клавишни команди за отваряне на диалоговия
прозорец с настройките за активиране или диалога с речника за емотикони:

* NVDA+E: Прочитане на емотиконите: включено/изключено. Превключва
  изговарянето на текста както е написан или като емотикони с техните
  дружелюбни описания.
* NVDA+I: Извежда диалог за избор на емотикон за копиране.

## Промени във версия 6.0 ##

* Добавена е поддръжка за конфигурационни профили.
* В NVDA 2017.4 или по-нова, конфигурационните настройки и потребителските
  речници автоматично ще се променят според избраните профили. В 2017.3 или
  по-стари можете да приложите промените, като презаредите добавките (като
  натиснете Control+NVDA+F3).
* Ако изберете да внесете настройки при обновяване на добавката,
  несъвместимите файлове (emoticons.ini и emoticons.dic) ще бъдат премахнати
  или пригодени към тази версия.

## Промени във версия 5.0 ##

* Добавена е поддръжка за емоджита.
* Подобрения за диалоговия прозорец за вмъкване на емотикона с поле за
  филтриране и група от радио бутони за избор кои групи от емотикони да се
  показват.
* Използване на guiHelper за диалоговите прозорци с настройките за
  активиране и този за вмъкване на емотикона: изисква NVDA 2016.4 или
  по-нови версии

## Промени във версия 4.0 ##

* Ако прозорецът за вмъкване на емотикон бъде отворен при наличието на друг
  отворен прозорец с настройки, NVDA ще изведе съответното съобщение за
  грешка.


## Промени във версия 3.0 ##

* В прозореца за Персонализиране на емотиконите, вече е възможно да се укаже
  че даден шаблон трябва да съвпада само с цели думи, в съгласие с речниците
  за реч в NVDA 2014.4.


## Промени във версия 2.0 ##

* Помощта за добавката е достъпна от мениджъра на добавките.


## Промени във версия 1.1 ##

* Премахнат е дублиращ се емотикон.
* Добавени са няколко усмивки.

## Промени във версия 1.0 ##

* Първоначално издание.

[[!tag dev stable]]

[1]: http://addons.nvda-project.org/files/get.php?file=emo

[2]: http://addons.nvda-project.org/files/get.php?file=emo-dev
